using BarContracts.BindingModels;
using BarContracts.SearchModels;
using BarContracts.ViewModels;

namespace BarContracts.BusinessLogicContracts
{
    public interface IClientLogic
    {
        List<ClientViewModel>? ReadList(ClientSearchModel? Model);
        
        ClientViewModel? ReadElement(ClientSearchModel Model);
        
        bool Create(ClientBindingModel Model);
        
        bool Update(ClientBindingModel Model);
        
        bool Delete(ClientBindingModel Model);
    }
}